/********************************************************************
 * Job Ticket API (JTAPI) fsgjt.h                                         
 *  
 * Copyright (c) 2004 High North Inc.                                                                  
 * Copyright (c) 2004 International Business Machines Corp.
 * Copyright (c) 2004 Seiko-Epson, Inc.
 * Copyright (c) 2004 Till Kamppeter.  
 * Copyright (c) 2004 Free Standards Group.                   
 *                                                                    
 *                    Common Public License - v 1.0 
 * THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS 
 * COMMON PUBLIC LICENSE ("AGREEMENT"). ANY USE, REPRODUCTION OR 
 * DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE 
 * OF THIS AGREEMENT.   
 *
 * The Common Public License in its entirety is located in 
 * fsgjt_cpl.h and applies to the contents of this file. 
 *******************************************************************/

#ifndef FSGJT_DESTINATION_H
#define FSGJT_DESTINATION_H

#include <fsgjt.h>

/* Defined constant to uniquely identify this type of JTAPI object */
#define FSGJT_DESTINATION_OBJECT  "JDES"

/************************************************************
 * Destination attributes
 ***********************************************************/
/* Single value where type is fsgjt_uri_t (URIType) */
#define FSGJT_DESTINATION_TARGET_URI     "destination-target-uri"

/************************************************************
 * fsgjtNewDestination - Creates a Destination object having 
 * the provided target location URI.
 *
 * param (output) fsgjt_object_t* destination - Pointer to 
 *      the new Destination object to create
 * param (input) fsgjt_uri_t uri - URI that is the target 
 *      location  for this destination
 *
 * return fsgjt_return_code_t
 ***********************************************************/
fsgjt_return_code_t fsgjtNewDestination(
               fsgjt_object_t* destination,
               fsgjt_uri_t uri);

#endif /* FSGJT_DESTINATION_H */
